cerhu > linux.debian.user.french

P'tit Louis (03/12/2005, 13h30)
Bonjour à tous,

Je viens d'essayer d'installer/désinstaller des applications et dpkg
refuse en bloc.

Voici un exemple de sortie :

apt-get dist-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront mis à jour :
gtk2-engines-pixbuf libgdk-pixbuf2 libgtk2.0-0 libgtk2.0-bin
libgtk2.0-common
5 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0o/5322ko dans les archives.
Après dépaquetage, 1155ko d'espace disque supplémentaires seront
utilisés.
Souhaitez-vous continuer ? [O/n] o
dpkg: erreur d'analyse syntaxique, dans le fichier
« /var/lib/dpkg/available » près de la ligne 2 paquet « libgtkglext1 »:
valeur du champ « status » non autorisée dans ce contexte
E: Sub-process /usr/bin/dpkg returned an error code (2)

et voici la sortie nano de /var/lib/dpkg/avalaible concernant
libgtkglext1 :

Package: libgtkglext1
Status: install ok unpacked
Priority: optional
Section: libs
Installed-Size: 408
Maintainer: Marcelo E. Magallon <mmagallo>
Architecture: i386
Source: gtkglext
Version: 1.0.6-2.0.1
Depends: libatk1.0-0 (>= 1.6.0), libc6 (>= 2.3.2.ds1-4), libgl1,
libglib2.0-0 (>= 2.4.6), libglu1-mesa | libglu1, libgtk2.0-0 (>= 2.4.4),
libice6 | xlibs $Description: OpenGL Extension to GTK (shared libraries)
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

Et c'est comme ça pour toute tentative.
Je suis en train de chercher sur google, mais je n'ai pas encore trouvé
quoique ce soit de probant.

J'ai récemment eu des problèmes avec rosegarden, qui s'il n'est pas
lancer correctement, gèle le système et m'oblige à un reset violent,
peut-être quelque chose a été cassé à ce moment là.

Ce problème est récent.

Je suis sous sarge et gnome, kernel 2.6.14 compilé à la main.

Merci de votre aide.

P'tit Louis.
François Boisson (03/12/2005, 13h40)
Tu as un fichier available-old dans le même répertoire:

fais un diff des 2 pour voir ce qui se passe et rectifie l'erreur.
Voire remplace carrément le available par le available-old.

François Boisson
[..]
P'tit Louis (03/12/2005, 20h20)
Le samedi 03 décembre 2005 à 12:33 +0100, François Boisson a écrit :
Ça marche !!

Punaise, j'adore dire ça !!

Le fichier /var/lib/dpkg/available était corrompu, je l'ai réécrit

Mais je ne sais pas à quoi il sert !

P'tit Louis
[..]
Discussions similaires
dpkg: error: failed to write status database record about 'libclutter-1.0-0:i386' to 'var/lib/dpkg/status': No space left on device

Dpkg-deb

Pb avec dpkg -i avec pb dépendances et apt-get install cassé

upgrade woody vers sarge (dpkg: parse error, in file `/var/lib/dpkg/available)


Fuseau horaire GMT +2. Il est actuellement 04h00. | Privacy Policy